Bug 166928 - Review Request: numlockx
Review Request: numlockx
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
David Lawrence
http://ktown.kde.org/~seli/numlockx
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-08-27 23:31 EDT by John Mahowald
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-12 13:16:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Mahowald 2005-08-27 23:31:30 EDT
Spec Name or Url: http://personal.stthomas.edu/jpmahowald1/fedora/review/numlockx.spec
SRPM Name or Url: http://personal.stthomas.edu/jpmahowald1/fedora/review/numlockx-1.0-2.src.rpm
Description: NumLockX turns on NumLock after starting X

My first package, I need a sponsor and CVS. Fedora username jpmahowa
Comment 1 Tom "spot" Callaway 2005-08-28 13:46:00 EDT
Review:

Good:
- rpmlint check returns: W: numlockx strange-permission numlockx.sh 0775
  safe to ignore
- meets naming and packaging guidelines
- license ok (MIT), matches source, text included as %doc
- spec is legible, in am. english
- source matches upstream
- package compiles on x86 (FC4)
- no unnecessary, missing BuildRequires (./configure looks for xinitrc, but
never uses it for anything)
- no need for -devel, -docs
- no locales
- not relocatable
- creates no new directories
- no duplicate %files
- permissions ok
- %clean ok
- macro use is consistent
- code, not content
- nothing in %doc affects runtime
- no need for .desktop

Nitpicks:
- %{_bindir} is cleaner than %{_usr}/bin/ ... please make that change.
- you might consider using %{version} in the Source0 line instead of hardcoding
the tarball version

Please change to %{_bindir} before committing, but this package is APPROVED.

I'll also go sponsor you right now.
Comment 2 John Mahowald 2005-08-29 09:08:46 EDT
Nitpicks fixed, thanks.

New version available from
http://frontiernet.net/~jpmahowald/fedora/review/numlockx.spec and
http://frontiernet.net/~jpmahowald/fedora/review/numlockx-1.0-3.src.rpm

Importing into CVS.

Note You need to log in before you can comment on or make changes to this bug.